Doom Sector type 10 not 'releasing’ sector after action has occurred
Description

In Vanilla Doom; sector type 10 blocks other triggers from affecting (or even activating it seems) the sector until it has performed its
action (close like a door 30 seconds after map start). After the action has occurred, said sector can then be affected by other triggers
as normal.

In Doomsday sector type 10 does not release the sector after its action has occurred and hence permanently blocks other triggers
from affecting it.

Could also be worth checking the behaviour of sector type 14 (door opens 5 minutes after map start, for 4 seconds and then closes)
in Dday, versus Vanilla, as well.

History

#1 - 2013-11-26 13:52 - vermil

Following tests, sector type 14 appears to behave identically and correctly in Vanilla Doom and Dday.

Like 10, it blocks other triggers from affecting or activating the sector until its action has occurred, after which other triggers can affect the sector
freely. Dday correctly emulates this.

So the issue remains that type 10 is not releasing the sector after its action has occurred.

#2 - 2013-11-26 14:38 - vermil

Whoops wrong tracker :p

#3 - 2013-11-28 15:44 - vermil

I've reposted this in the correct tracker now :)

#4 - 2013-11-28 17:10 - skyjake
- Tags set to Gameplay, Doom
- Project changed from Homepage to Doomsday Engine

- Category set to Defect

#5 - 2013-11-28 17:12 - skyjake

It's easy to move issues between projects, so I've deleted the reposted one (1673).

#6 - 2013-12-18 06:26 - danij
- File secspec10.wad added

- Status changed from New to Rejected

Doomsday appears to replicate the expected behavior. See the attached secspec10.wad, which has a door that closes 30 seconds after map start
that can be reopened by using the wall on the left of the player's spawn point.

#7 - 2013-12-18 10:34 - vermil

Indeed, it seems to have been fixed since the build | noticed and tested this issue in.

Files

secspec10.wad 1.14 KB 2013-12-18 danij
